#
# spec file for package b43-tools.spec
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           b43-tools
Version:        20140625
Release:        1.1
Summary:        Tools for the Broadcom 43xx series WLAN chip
License:        GPLv2;GPLv2+;GPLv3
Group:          System/Base
Url:            https://github.com/mbuesch/b43-tools
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
Tools for the Broadcom 43xx series WLAN chip.
Git version.

%prep
%setup -q -n %{name}
install -p -m 0644 assembler/COPYING COPYING.assembler
install -p -m 0644 assembler/README README.assembler
install -p -m 0644 debug/COPYING COPYING.debug
install -p -m 0644 debug/README README.debug
install -p -m 0644 disassembler/COPYING COPYING.disassembler
install -p -m 0644 ssb_sprom/README README.ssb_sprom
install -p -m 0644 ssb_sprom/COPYING COPYING.ssb_sprom

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags} -C assembler
make %{?_smp_mflags} -C disassembler
make %{?_smp_mflags} -C ssb_sprom
cd debug && python install.py build

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 assembler/b43-asm %{buildroot}%{_bindir}
install -p -m 0755 assembler/b43-asm.bin %{buildroot}%{_bindir}
install -p -m 0755 disassembler/b43-dasm %{buildroot}%{_bindir}
install -p -m 0755 disassembler/b43-ivaldump %{buildroot}%{_bindir}
install -p -m 0755 ssb_sprom/ssb-sprom %{buildroot}%{_bindir}
cd debug && python install.py install --skip-build --root %{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc COPYING.assembler COPYING.debug COPYING.disassembler COPYING.ssb_sprom README.assembler README.debug README.ssb_sprom
%{_bindir}/b43-asm
%{_bindir}/b43-asm.bin
%{_bindir}/b43-beautifier
%{_bindir}/b43-dasm
%{_bindir}/b43-fwdump
%{_bindir}/b43-ivaldump
%{_bindir}/ssb-sprom
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{python_sitelib}/B43_debug_tools-0.0.0-py*.egg-info
%{python_sitelib}/libb43.py
%{python_sitelib}/libb43.pyc

%changelog
* Tue Sep 23 2014 aloisio@gmx.com
- bumped to version 0.19 git
- spec cleanup
* Fri Apr  2 2010 AxelKoellhofer@web.de
- fixed build for openSUSE < 11.2
- spec cleanup
* Wed Mar 24 2010 fisiu@opensuse.org
- initial package
